Subject: Re: [PATCHv2 0/2] IPVS: Add Generic Netlink configuration interface

From: Vince Busam <[email-masked]>
Date: Tue, 22 Jul 2008 15:59:42 -0700

Simon Horman wrote:
> I'm not an expert on netlink, but these patches are looking good to me.
> Is the user-space portion available somewhere?

http://sixpak.org/vince/google/ipvsadm-1.25-nl-1.tar.gz

This version will fall back to the old sockopt interface if netlink 
fails, and is thus fully backward compatible with old kernels.  The 
interface for libipvs did change slightly to allow for IPv6 addresses, 
which only work through netlink, and will return error if tried on the 
old sockopt interface.

Vince